## python-overrides 7.7.0

=== debian/changelog ===
python-overrides (7.7.0-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Apr 2024 21:46:58 +0100

python-overrides (7.7.0-1) unstable; urgency=medium

  * Initial upload (closes: #1068553)

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Apr 2024 21:26:34 +0100
