=== debian/control ===
Source: python-overrides
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/mkorpela/overrides
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-overrides.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-overrides
Rules-Requires-Root: no

Package: python3-overrides
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python decorator to verify that expected overrides are maintained
 Provides a decorator @override that verifies that a method that
 should override an inherited method actually does it.  Python has no
 standard mechanism by which to guarantee that (1) a method that
 previously overrode an inherited method continues to do so, and (2) a
 method that previously did not override an inherited will not
 override now.  This package allows this to be addressed in an automated
 manner.
